%define luaver 5.1
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-expat
Version:        1.2.0
Release:        alt1_4
Summary:        SAX XML parser based on the Expat library

Group:          Development/C
License:        MIT
URL:            http://www.keplerproject.org/luaexpat/
Source0:        http://matthewwild.co.uk/projects/luaexpat/luaexpat-%{version}.tar.gz

BuildRequires:  lua >= %{luaver} liblua5-devel >= %{luaver}
BuildRequires:  expat-devel
Requires:       lua >= %{luaver}
Source44: import.info

%description
LuaExpat is a SAX XML parser based on the Expat library.

%prep
%setup -q -n luaexpat-%{version}


%build
make %{?_smp_mflags} PREFIX=%{_prefix} LUA_LIBDIR=%{lualibdir} LUA_DIR=%{luapkgdir} LUA_INC=%{_includedir} EXPAT_INC=%{_includedir} CFLAGS="%{optflags} -fPIC"  LUA_VERSION_NUM=501
/usr/bin/iconv -f ISO8859-1 -t UTF8 README >README.UTF8
mv -f README.UTF8 README


%install
make install PREFIX=%{_prefix} LUA_LIBDIR=%{buildroot}%{lualibdir} LUA_DIR=%{buildroot}%{luapkgdir} LUA_VERSION_NUM=501


%check
pushd src
ln -s lxp.so.* lxp.so
popd
lua -e 'package.cpath="./src/?.so;"..package.cpath; dofile("tests/test.lua");'
lua -e 'package.cpath="./src/?.so;" .. package.cpath; package.path="./src/?.lua;" .. package.path; dofile("tests/test-lom.lua");'

%files
%doc README doc/us/*
%{lualibdir}/*
%{luapkgdir}/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_4
- initial fc import

